org.vertx.java.core.http

## Class HttpClientResponse

- java.lang.Object
- - org.vertx.java.core.http.impl.HttpReadStreamBase
  - - org.vertx.java.core.http.HttpClientResponse

- All Implemented Interfaces:
    ReadStream

      public abstract class HttpClientResponse
      extends org.vertx.java.core.http.impl.HttpReadStreamBase

  Represents a client-side HTTP response.

  An instance of this class is provided to the user via a `Handler` instance that was specified when one of the HTTP method operations, or the generic `HttpClient.request(String, String, org.vertx.java.core.Handler)` method was called on an instance of `HttpClient`.

  It implements `ReadStream` so it can be used with `Pump` to pump data with flow control.

  Instances of this class are not thread-safe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `statusCode` The HTTP status code of the response
    `java.lang.String` | `statusMessage` The HTTP status message of the response

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpClientResponse(int statusCode, java.lang.String statusMessage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<java.lang.String>` | `cookies()`
    `abstract java.util.Map<java.lang.String,java.lang.String>` | `headers()`
    `abstract java.util.Map<java.lang.String,java.lang.String>` | `trailers()`

    - ### Methods inherited from class org.vertx.java.core.http.impl.HttpReadStreamBase

      `bodyHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vertx.java.core.streams.ReadStream

      `dataHandler, endHandler, exceptionHandler, pause, resume`

- - ### Field Detail

    - #### statusCode

          public final int statusCode

      The HTTP status code of the response

    - #### statusMessage

          public final java.lang.String statusMessage

      The HTTP status message of the response

  - ### Constructor Detail

    - #### HttpClientResponse

          protected HttpClientResponse(int statusCode,
                            java.lang.String statusMessage)

  - ### Method Detail

    - #### headers

          public abstract java.util.Map<java.lang.String,java.lang.String> headers()

      Returns:
        The HTTP headers

    - #### trailers

          public abstract java.util.Map<java.lang.String,java.lang.String> trailers()

      Returns:
        The HTTP trailers

    - #### cookies

          public abstract java.util.List<java.lang.String> cookies()

      Returns:
        The Set-Cookie headers (including trailers)